CharacteristicsSelectionBuilder Class

class NXOpen.Weld.CharacteristicsSelectionBuilder

Bases: NXOpen.NXObject

This builder allows you to define the attribute values to be set on the output of the weld feature.

The inheritance option only applies to the NXOpen.Weld.WeldJoint.

New in version NX7.5.0.

Properties

Property Description
AttributeList Returns the list of potential attributes for this weld feature.
IsOccurrence Returns whether this object is an occurrence or not.
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
Name Returns the custom name of the object.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
Prototype Returns the prototype of this object if it is an occurrence.
SelectObjectList Returns the selection object containing data that is to be attributed.
Tag Returns the Tag for this object.

Methods

Method Description
CreateAttributeIterator Create an attribute iterator
CreateAttributeListEntry Create an attribute list entry, that has no value, and add it to the list.
CreateDoubleAttributeListEntry Create a double attribute list entry and add it to the list.
CreateIntegerAttributeListEntry Create an integer attribute list entry and add it to the list.
CreateOptionAttributeListEntry Create an option attribute list entry and add it to the list.
CreateStringAttributeListEntry Create a string attribute list entry and add it to the list.
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetPdmReferenceAttributeValue Gets the value of PDM Reference attribute for given object.
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator
Print Prints a representation of this object to the system log file.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetName Sets the custom name of the object.
SetPdmReferenceAttribute Sets the value of PDM Reference attribute on the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.

Property Detail

AttributeList

CharacteristicsSelectionBuilder.AttributeList

Returns the list of potential attributes for this weld feature.

-------------------------------------

Getter Method

Signature AttributeList

Returns:
Return type:NXOpen.NXObjectList

New in version NX7.5.0.

License requirements: None.

IsOccurrence

CharacteristicsSelectionBuilder.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

JournalIdentifier

CharacteristicsSelectionBuilder.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Name

CharacteristicsSelectionBuilder.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

CharacteristicsSelectionBuilder.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

CharacteristicsSelectionBuilder.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

CharacteristicsSelectionBuilder.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

SelectObjectList

CharacteristicsSelectionBuilder.SelectObjectList

Returns the selection object containing data that is to be attributed.

-------------------------------------

Getter Method

Signature SelectObjectList

Returns:
Return type:NXOpen.SelectNXObjectList

New in version NX7.5.0.

License requirements: None.

Method Detail

CreateAttributeListEntry

CharacteristicsSelectionBuilder.CreateAttributeListEntry

Overloaded method CreateAttributeListEntry

  • CreateAttributeListEntry(required, onObject, locked, iconName, pointMarker, color, title)
  • CreateAttributeListEntry(required, onObject, locked, inherited, iconName, pointMarker, color, title)

-------------------------------------

Create an attribute list entry, that has no value, and add it to the list.

Signature CreateAttributeListEntry(required, onObject, locked, iconName, pointMarker, color, title)

Parameters:
  • required (bool) – Is attribute required to be on output object?
  • onObject (bool) – Is attribute already on existing object?
  • locked (bool) – Is attribute locked?
  • iconName (str) – Name of icon to place in list.
  • pointMarker (int) – marker to apply to point representing weld spot, see POINT_marker_t in point.h.
  • color (int) – color to apply to object.
  • title (str) – Title of attribute.
Returns:

Return type:

NXOpen.Weld.CharacteristicsValueBuilder

New in version NX7.5.0.

Deprecated since version NX10.0.0: Use NXOpen.Weld.CharacteristicsSelectionBuilder.CreateAttributeListEntry() with inherited parameter instead.

License requirements: None.

-------------------------------------

Create an attribute list entry, that has no value, and add it to the list.

Signature CreateAttributeListEntry(required, onObject, locked, inherited, iconName, pointMarker, color, title)

Parameters:
  • required (bool) – Is attribute required to be on output object?
  • onObject (bool) – Is attribute already on existing object?
  • locked (bool) – Is attribute locked?
  • inherited (bool) – Is attribute to be inherited, and over-written, by a source entity attribute? Only used by certain application tools.
  • iconName (str) – Name of icon to place in list.
  • pointMarker (int) – marker to apply to point representing weld spot, see POINT_marker_t in point.h.
  • color (int) – color to apply to object.
  • title (str) – Title of attribute.
Returns:

Return type:

NXOpen.Weld.CharacteristicsValueBuilder

New in version NX10.0.0.

License requirements: None.

-------------------------------------

CreateDoubleAttributeListEntry

CharacteristicsSelectionBuilder.CreateDoubleAttributeListEntry

Overloaded method CreateDoubleAttributeListEntry

  • CreateDoubleAttributeListEntry(required, onObject, locked, iconName, pointMarker, color, title, currentValue)
  • CreateDoubleAttributeListEntry(required, onObject, locked, inherited, iconName, pointMarker, color, title, currentValue)

-------------------------------------

Create a double attribute list entry and add it to the list.

Signature CreateDoubleAttributeListEntry(required, onObject, locked, iconName, pointMarker, color, title, currentValue)

Parameters:
  • required (bool) – Is attribute required to be on output object?
  • onObject (bool) – Is attribute already on existing object?
  • locked (bool) – Is attribute locked?
  • iconName (str) – Name of icon to place in list.
  • pointMarker (int) – marker to apply to point representing weld spot, see POINT_marker_t in point.h.
  • color (int) – color to apply to object.
  • title (str) – Title of attribute.
  • currentValue (float) – Current value setting of attribute.
Returns:

Return type:

NXOpen.Weld.CharacteristicsValueBuilder

New in version NX7.5.0.

Deprecated since version NX10.0.0: Use NXOpen.Weld.CharacteristicsSelectionBuilder.CreateDoubleAttributeListEntry() with inherited parameter instead.

License requirements: None.

-------------------------------------

Create a double attribute list entry and add it to the list.

Signature CreateDoubleAttributeListEntry(required, onObject, locked, inherited, iconName, pointMarker, color, title, currentValue)

Parameters:
  • required (bool) – Is attribute required to be on output object?
  • onObject (bool) – Is attribute already on existing object?
  • locked (bool) – Is attribute locked?
  • inherited (bool) – Is attribute to be inherited, and over-written, by a source entity attribute? Only used by certain application tools.
  • iconName (str) – Name of icon to place in list.
  • pointMarker (int) – marker to apply to point representing weld spot, see POINT_marker_t in point.h.
  • color (int) – color to apply to object.
  • title (str) – Title of attribute.
  • currentValue (float) – Current value setting of attribute.
Returns:

Return type:

NXOpen.Weld.CharacteristicsValueBuilder

New in version NX10.0.0.

License requirements: None.

-------------------------------------

CreateIntegerAttributeListEntry

CharacteristicsSelectionBuilder.CreateIntegerAttributeListEntry

Overloaded method CreateIntegerAttributeListEntry

  • CreateIntegerAttributeListEntry(required, onObject, locked, iconName, pointMarker, color, title, currentValue)
  • CreateIntegerAttributeListEntry(required, onObject, locked, inherited, iconName, pointMarker, color, title, currentValue)

-------------------------------------

Create an integer attribute list entry and add it to the list.

Signature CreateIntegerAttributeListEntry(required, onObject, locked, iconName, pointMarker, color, title, currentValue)

Parameters:
  • required (bool) – Is attribute required to be on output object?
  • onObject (bool) – Is attribute already on existing object?
  • locked (bool) – Is attribute locked?
  • iconName (str) – Name of icon to place in list.
  • pointMarker (int) – marker to apply to point representing weld spot, see POINT_marker_t in point.h.
  • color (int) – color to apply to object.
  • title (str) – Title of attribute.
  • currentValue (int) – Current value setting of attribute.
Returns:

Return type:

NXOpen.Weld.CharacteristicsValueBuilder

New in version NX7.5.0.

Deprecated since version NX10.0.0: Use NXOpen.Weld.CharacteristicsSelectionBuilder.CreateIntegerAttributeListEntry() with inherited parameter instead.

License requirements: None.

-------------------------------------

Create an integer attribute list entry and add it to the list.

Signature CreateIntegerAttributeListEntry(required, onObject, locked, inherited, iconName, pointMarker, color, title, currentValue)

Parameters:
  • required (bool) – Is attribute required to be on output object?
  • onObject (bool) – Is attribute already on existing object?
  • locked (bool) – Is attribute locked?
  • inherited (bool) – Is attribute to be inherited, and over-written, by a source entity attribute? Only used by certain application tools.
  • iconName (str) – Name of icon to place in list.
  • pointMarker (int) – marker to apply to point representing weld spot, see POINT_marker_t in point.h.
  • color (int) – color to apply to object.
  • title (str) – Title of attribute.
  • currentValue (int) – Current value setting of attribute.
Returns:

Return type:

NXOpen.Weld.CharacteristicsValueBuilder

New in version NX10.0.0.

License requirements: None.

-------------------------------------

CreateOptionAttributeListEntry

CharacteristicsSelectionBuilder.CreateOptionAttributeListEntry

Overloaded method CreateOptionAttributeListEntry

  • CreateOptionAttributeListEntry(required, onObject, locked, iconName, pointMarker, color, title, currentValue, options)
  • CreateOptionAttributeListEntry(required, onObject, locked, inherited, iconName, pointMarker, color, title, currentValue, options)

-------------------------------------

Create an option attribute list entry and add it to the list.

Signature CreateOptionAttributeListEntry(required, onObject, locked, iconName, pointMarker, color, title, currentValue, options)

Parameters:
  • required (bool) – Is attribute required to be on output object?
  • onObject (bool) – Is attribute already on existing object?
  • locked (bool) – Is attribute locked?
  • iconName (str) – Name of icon to place in list.
  • pointMarker (int) – marker to apply to point representing weld spot, see POINT_marker_t in point.h.
  • color (int) – color to apply to object.
  • title (str) – Title of attribute.
  • currentValue (str) – Current value setting of attribute.
  • options (list of str) – Options available to be chosen.
Returns:

Return type:

NXOpen.Weld.CharacteristicsValueBuilder

New in version NX7.5.0.

Deprecated since version NX10.0.0: Use NXOpen.Weld.CharacteristicsSelectionBuilder.CreateOptionAttributeListEntry() with inherited parameter instead.

License requirements: None.

-------------------------------------

Create an option attribute list entry and add it to the list.

Signature CreateOptionAttributeListEntry(required, onObject, locked, inherited, iconName, pointMarker, color, title, currentValue, options)

Parameters:
  • required (bool) – Is attribute required to be on output object?
  • onObject (bool) – Is attribute already on existing object?
  • locked (bool) – Is attribute locked?
  • inherited (bool) – Is attribute to be inherited, and over-written, by a source entity attribute? Only used by certain application tools.
  • iconName (str) – Name of icon to place in list.
  • pointMarker (int) – marker to apply to point representing weld spot, see POINT_marker_t in point.h.
  • color (int) – color to apply to object.
  • title (str) – Title of attribute.
  • currentValue (str) – Current value setting of attribute.
  • options (list of str) – Options available to be chosen.
Returns:

Return type:

NXOpen.Weld.CharacteristicsValueBuilder

New in version NX10.0.0.

License requirements: None.

-------------------------------------

CreateStringAttributeListEntry

CharacteristicsSelectionBuilder.CreateStringAttributeListEntry

Overloaded method CreateStringAttributeListEntry

  • CreateStringAttributeListEntry(required, onObject, locked, iconName, pointMarker, color, title, currentValue)
  • CreateStringAttributeListEntry(required, onObject, locked, inherited, iconName, pointMarker, color, title, currentValue)

-------------------------------------

Create a string attribute list entry and add it to the list.

Signature CreateStringAttributeListEntry(required, onObject, locked, iconName, pointMarker, color, title, currentValue)

Parameters:
  • required (bool) – Is attribute required to be on output object?
  • onObject (bool) – Is attribute already on existing object?
  • locked (bool) – Is attribute locked?
  • iconName (str) – Name of icon to place in list.
  • pointMarker (int) – marker to apply to point representing weld spot, see POINT_marker_t in point.h.
  • color (int) – color to apply to object.
  • title (str) – Title of attribute.
  • currentValue (str) – Current value setting of attribute.
Returns:

Return type:

NXOpen.Weld.CharacteristicsValueBuilder

New in version NX7.5.0.

Deprecated since version NX10.0.0: Use NXOpen.Weld.CharacteristicsSelectionBuilder.CreateStringAttributeListEntry() with inherited parameter instead.

License requirements: None.

-------------------------------------

Create a string attribute list entry and add it to the list.

Signature CreateStringAttributeListEntry(required, onObject, locked, inherited, iconName, pointMarker, color, title, currentValue)

Parameters:
  • required (bool) – Is attribute required to be on output object?
  • onObject (bool) – Is attribute already on existing object?
  • locked (bool) – Is attribute locked?
  • inherited (bool) – Is attribute to be inherited, and over-written, by a source entity attribute? Only used by certain application tools.
  • iconName (str) – Name of icon to place in list.
  • pointMarker (int) – marker to apply to point representing weld spot, see POINT_marker_t in point.h.
  • color (int) – color to apply to object.
  • title (str) – Title of attribute.
  • currentValue (str) – Current value setting of attribute.
Returns:

Return type:

NXOpen.Weld.CharacteristicsValueBuilder

New in version NX10.0.0.

License requirements: None.

-------------------------------------

FindObject

CharacteristicsSelectionBuilder.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

Print

CharacteristicsSelectionBuilder.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

SetName

CharacteristicsSelectionBuilder.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.